Skip to content
This is a new version of the Kivra Developer Docs. Report issues or share feedback at avsandare.support@kivra.se. The previous version can be found here.

List available recipient companies for a tenant

GET
/v1/tenant/{tenantKey}/company
curl --request GET \
--url 'https://sender.api.kivra.com/v1/tenant/example/company?vat_number=SE556000475501' \
--header 'Authorization: Bearer <token>'

This resource is used to list all, or search for specific, Companies that are eligible for receiving Content from the specific Tenant. The response is a JSON list of Objects containing the eligible Companies’ VAT number.

A search is done by providing the vat_number query parameter. If a search is done and the Company does not exist or have opted out of receiving Content from the Tenant an empty list will be returned.

tenantKey
required
string format: hexadecimal

The unique Key for a Tenant.

vat_number
VatNumber

A Swedish VAT number (“momsregistreringsnummer”).

string
/^SE[0-9]{10}01$/
Example
SE556000475501

Perform a search to see if a VAT number matches an eligible Company Recipient of the Tenant.

List of Companies’ keys and VAT numbers which are eligible Recipients of the Tenant.

Media typeapplication/json
Array<object>
CompanyList
object
key

This value is deprecated and will always be set to the empty string.

string
Allowed values: ""
vatnr
VatNumber

A Swedish VAT number (“momsregistreringsnummer”).

string
/^SE[0-9]{10}01$/
Example
[
{
"key": "",
"vatnr": "SE556000475501"
}
]